SDL_HINT_JOYSTICK_HIDAPI_COMBINE_JOY_CONS(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_COMBINE_JOY_CONS - A variable controlling whether Nintendo Switch Joy-Con controllers will be combined into a single Pro-like controller when using the HIDAPI driver.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_HIDAPI_COMBINE_JOY_CONS "SDL_JOYSTICK_HIDAPI_COMBINE_JOY_CONS"

DESCRIPTION
The variable can be set to the following values:

• "0": Left and right Joy-Con controllers will not be combined and each will be a mini-gamepad.

• "1": Left and right Joy-Con controllers will be combined into a single controller. (default)

This hint should be set before initializing joysticks and gamepads.

AVAILABILITY
This hint is available since SDL 3.2.0.